RHEL 7 : samba (RHSA-2020:0943)

medium Nessus Plugin ID 134860

Synopsis

The remote Red Hat host is missing one or more security updates for samba.

Description

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2020:0943 advisory.

- samba: smb client vulnerable to filenames containing path separators (CVE-2019-10218)

- samba: Crash after failed character conversion at log level 3 or above (CVE-2019-14907)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL samba package based on the guidance in RHSA-2020:0943.

See Also

http://www.nessus.org/u?2c885dcc

https://access.redhat.com/security/updates/classification/#moderate

https://access.redhat.com/errata/RHSA-2020:0943

https://bugzilla.redhat.com/show_bug.cgi?id=1731906

https://bugzilla.redhat.com/show_bug.cgi?id=1763137

https://bugzilla.redhat.com/show_bug.cgi?id=1776952

https://bugzilla.redhat.com/show_bug.cgi?id=1784827

https://bugzilla.redhat.com/show_bug.cgi?id=1791207

https://bugzilla.redhat.com/show_bug.cgi?id=1796074

https://bugzilla.redhat.com/show_bug.cgi?id=1804165

https://bugzilla.redhat.com/show_bug.cgi?id=1810395

Plugin Details

Severity: Medium

ID: 134860

File Name: redhat-RHSA-2020-0943.nasl

Version: 1.7

Type: local

Agent: unix

Published: 3/24/2020

Updated: 4/28/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Temporal Score: 3.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS Score Source: CVE-2019-10218

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:ctdb, p-cpe:/a:redhat:enterprise_linux:libsmbclient, p-cpe:/a:redhat:enterprise_linux:libsmbclient-devel, p-cpe:/a:redhat:enterprise_linux:libtalloc, p-cpe:/a:redhat:enterprise_linux:libtalloc-devel, p-cpe:/a:redhat:enterprise_linux:libtdb, p-cpe:/a:redhat:enterprise_linux:libtdb-devel, p-cpe:/a:redhat:enterprise_linux:libtevent, p-cpe:/a:redhat:enterprise_linux:libtevent-devel, p-cpe:/a:redhat:enterprise_linux:libwbclient, p-cpe:/a:redhat:enterprise_linux:libwbclient-devel, p-cpe:/a:redhat:enterprise_linux:python3-samba, p-cpe:/a:redhat:enterprise_linux:python3-talloc, p-cpe:/a:redhat:enterprise_linux:python3-talloc-devel, p-cpe:/a:redhat:enterprise_linux:python3-tdb, p-cpe:/a:redhat:enterprise_linux:python3-tevent, p-cpe:/a:redhat:enterprise_linux:samba-pidl, p-cpe:/a:redhat:enterprise_linux:samba-vfs-glusterfs, p-cpe:/a:redhat:enterprise_linux:samba-winbind, p-cpe:/a:redhat:enterprise_linux:samba-winbind-clients, p-cpe:/a:redhat:enterprise_linux:samba-winbind-krb5-locator, p-cpe:/a:redhat:enterprise_linux:samba-winbind-modules, p-cpe:/a:redhat:enterprise_linux:tdb-tools, p-cpe:/a:redhat:enterprise_linux:samba, p-cpe:/a:redhat:enterprise_linux:samba-client, p-cpe:/a:redhat:enterprise_linux:samba-client-libs, p-cpe:/a:redhat:enterprise_linux:samba-common, p-cpe:/a:redhat:enterprise_linux:samba-common-libs, p-cpe:/a:redhat:enterprise_linux:samba-common-tools, p-cpe:/a:redhat:enterprise_linux:samba-devel, p-cpe:/a:redhat:enterprise_linux:samba-krb5-printing, p-cpe:/a:redhat:enterprise_linux:samba-libs

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 3/23/2020

Vulnerability Publication Date: 10/29/2019

Reference Information

CVE: CVE-2019-10218, CVE-2019-14907

CWE: 125, 22

IAVA: 2019-A-0407-S, 2020-A-0035-S

RHSA: 2020:0943